xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Opened 13 months ago

Closed 5 months ago

Last modified 4 months ago

#2738 closed defect (fixed)

win32_NotifyIcon.py", line 174, in make_ICONINFO

Reported by: stdedos Owned by: stdedos
Priority: critical Milestone: 4.1
Component: client Version: 3.0.x
Keywords: Cc:

Description (last modified by stdedos)

xpra cannot stop spamming:

2020-04-20 12:56:16,496 Error: failed to set tray icon
Traceback (most recent call last):
  File "E:\Xpra\trunk\src/xpra/platform/win32/win32_NotifyIcon.py", line 174, in make_ICONINFO
OSError: [WinError 8] Not enough memory resources are available to process this command.

I must say I have 8GB available RAM already (total of 16GB)

and, after I accidentally (again) turned off my DP monitor:

_create_dc_and_bitmap: The parameter is incorrect.
2020-04-20 13:29:10,207 Error: failed to set tray icon
Traceback (most recent call last):
  File "E:\Xpra\trunk\src/xpra/platform/win32/win32_NotifyIcon.py", line 164, in make_ICONINFO
  File "E:\Xpra\trunk\src/xpra/platform/win32/win32_NotifyIcon.py", line 206, in rgb_to_bitmap
AssertionError: failed to create DIB section

and client is frozen. Reconnecting works.

Attachments (11)

xpra-2738.txt (540.3 KB) - added by stdedos 13 months ago.
Xpra_cmd.exe.18032.dmp.7z (441.3 KB) - added by stdedos 13 months ago.
redact-xpra-client-2738-verbose.log (751.6 KB) - added by stdedos 13 months ago.
xpra-2738-client.v2.log (70.5 KB) - added by stdedos 13 months ago.
Xpra_cmd.exe.7904.v2.dmp.7z (443.6 KB) - added by stdedos 13 months ago.
xpra-2732-client-stack.v3.log (9.9 KB) - added by stdedos 13 months ago.
Xpra_cmd.exe.7764.v3.dmp.7z (441.2 KB) - added by stdedos 13 months ago.
tray-icons_2020-04-20_20-24-06.png (12.2 KB) - added by stdedos 13 months ago.
redact-xpra-2738-client-almost_full.log (361.4 KB) - added by stdedos 13 months ago.
Xpra_cmd_2020-11-18_10-41-53.png (14.9 KB) - added by stdedos 6 months ago.
Xpra_cmd_2020-12-02_12-16-02.png (4.6 KB) - added by stdedos 5 months ago.

Change History (47)

Changed 13 months ago by stdedos

Attachment: xpra-2738.txt added

comment:1 Changed 13 months ago by stdedos

Description: modified (diff)

comment:2 Changed 13 months ago by Antoine Martin

Owner: changed from Antoine Martin to stdedos

I have no idea why it does that. I guess it could be some sort of resource leak.

Later on in the log there's this:

../gtk+-3.24.16/gdk/win32/gdkcursor-win32.c:1025: ...

So I guess this could be in the cursor code.

The first one is a call to CreateIconIndirect.
The second one is a call to CreateDIBSection.

r26149 + r26150 improves the diagnostics.

Can you reproduce with -d tray enabled?
Is this a recent regression?
This could be related to r26118 and convert PIL.Image to GdkPixbuf, then load into GtkImage -- crash Windows if image too large

Changed 13 months ago by stdedos

Attachment: Xpra_cmd.exe.18032.dmp.7z added

comment:3 Changed 13 months ago by stdedos

And the cherry on the top: ^^^

Downloaded the new version now, "installing" ...

FWIW: My good cherry-pick suggestion would be r25898

Last edited 13 months ago by stdedos (previous) (diff)

Changed 13 months ago by stdedos

comment:4 Changed 13 months ago by Antoine Martin

There are lots of TypeError: %x format: an integer is required, not NoneType in that log sample, that's fixed in r26152.

Was that log sample complete or trimmed down? Does it really fail with every call to CreateIconIndirect or does it start failing after a while?

The log now shows the complete method call: set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'rgb_format': 'RGBA', 'encoding': 'rgb32'}) including the actual data on the next log statement (rgb_to_bitmap(b"\x00\...")). There's nothing suspicious at all there.

comment:5 in reply to:  4 ; Changed 13 months ago by stdedos

Was that log sample complete or trimmed down? Does it really fail with every call to CreateIconIndirect or does it start failing after a while?

Complete to Window's Terminal buffer size - but that was more than full.
The issue appears randomly, and it's invisible for a long time (except that one core, which also came out of the blue). Getting a complete log is complicated

Last edited 13 months ago by Antoine Martin (previous) (diff)

comment:6 Changed 13 months ago by stdedos

Owner: changed from stdedos to Antoine Martin

You may appreciate this invocation instead: (However, no -d tray :/)

Changed 13 months ago by stdedos

Attachment: xpra-2738-client.v2.log added

Changed 13 months ago by stdedos

Attachment: Xpra_cmd.exe.7904.v2.dmp.7z added

comment:7 Changed 13 months ago by stdedos

As a side question - why so many refreshes? I think the apps I am using are not updating their application icons (nor have they demostrated "smart" techniques so far like e.g. updating their icon like updating website's favicon with unread status.

comment:8 Changed 13 months ago by stdedos

Also, a stacktrace with its core (sadly, no r26152 :/)

Changed 13 months ago by stdedos

Changed 13 months ago by stdedos

Attachment: Xpra_cmd.exe.7764.v3.dmp.7z added

comment:9 in reply to:  7 Changed 13 months ago by stdedos

Replying to stdedos:

As a side question - why so many refreshes? I think the apps I am using are not updating their application icons (nor have they demostrated "smart" techniques so far like e.g. updating their icon like updating website's favicon with unread status.

Okay, I found my "smart" app: VMWare (14 Pro) started a tray icon. idk why, but it would seem it has such capabilities
I would close it now, but maybe I'll wait until this is fixed.

Nowadays, I keep seeing this tray icon

with no right-click menu or anything.

Changed 13 months ago by stdedos

comment:10 Changed 13 months ago by Antoine Martin

why so many refreshes?

That's because we need the position of the systray on the client side to place it exactly in the same location on the server side (so clicks will actually land on it).
But the API often does not give us the position of the systray, only its size, so we use the pointer events when the pointer is hovering over the systray to guess where it is located.
Every time we get one of those pointer events, we re-calculate the systray geometry, and if the new value differs then we send the new geometry to the server so it can adjust its position. When we do that, the systray window will send a repaint.

with no right-click menu or anything.

Maybe we guess the geometry wrong, so your clicks aren't landing on it..

comment:11 Changed 13 months ago by stdedos

As you can notice, that tray icon ends up in the hidden tray icon section.

And now that I've said that, "tray icon" is a weird notion in Linux (Ubuntu) which feels ... odd.

comment:12 Changed 13 months ago by stdedos

Issue looks like "spontaneous combustion" to me.

I included a bit of "clean" invocations and then the error ones come (at-the-time, it had also cored)

Last edited 13 months ago by stdedos (previous) (diff)

Changed 13 months ago by stdedos

comment:13 in reply to:  5 Changed 13 months ago by stdedos

Replying to stdedos:

Complete to Window's Terminal buffer size - but that was more than full.
The issue appears randomly, and it's invisible for a long time (except that one core, which also came out of the blue). Getting a complete log is complicated

#2642 is mainly to blame for that buffer-filling

comment:14 Changed 13 months ago by stdedos

This seems more of a systematic failure happening with VMWare tray, since I have to / must restart my client ~5 times daily.

If you are blocked for any reason and cannot investigate, I would appreciate the tip, so I can workaround it (i.e. kill VMware tray)

comment:15 Changed 13 months ago by Antoine Martin

Milestone: 4.04.1
Owner: changed from Antoine Martin to Antoine Martin
Status: newassigned

This seems more of a systematic failure happening with VMWare tray...

I'll try to install vmware in a VM when I get a chance.

comment:16 Changed 10 months ago by Antoine Martin

Duplicate: #2847.

comment:17 Changed 6 months ago by Antoine Martin

Owner: changed from Antoine Martin to stdedos
Status: assignednew

The fixes for #2921 may help with this ticket, the -d notify debug output would help.

comment:18 Changed 6 months ago by Antoine Martin

Closed a duplicate: see ticket:2941#comment:1

Last edited 6 months ago by Antoine Martin (previous) (diff)

comment:19 Changed 6 months ago by stdedos

"Something is wrong" with the logging:

"Xpra-Python3-x86_64_4.1-r27979\xpra_cmd" attach ssh://user@ip/3 --ssh="plink -ssh -agent" --modal-windows=no --title="@title@ on @@/@server-display@" --headerbar=off --cursors=no -d win32 -d notify --opengl=no --bandwidth-limit=6Mbps

XPRA_CUSTOM_TITLE_BAR=0
XPRA_EXECUTABLE=Xpra-Python3-x86_64_4.1-r27979
XPRA_REPAINT_ALL=1
XPRA_SCROLL_ENCODING=0

2020-11-17 11:11:59,398 Xpra GTK3 client version 4.1-r27979 64-bit
2020-11-17 11:11:59,401  running on Microsoft Windows 10
2020-11-17 11:12:02,915 GStreamer version 1.18.1 for Python 3.8.6 64-bit
2020-11-17 11:12:02,930 make_notifier() notifier classes: [<class 'xpra.platform.win32.win32_notifier.Win32_Notifier'>, <class 'xpra.gtk_common.gtk_notifier.GTK_Notifier'>, <class 'xpra.client.gtk3.gtk3_notifier.GTK3_Notifier'>]
2020-11-17 11:12:02,931 using notifier=<xpra.platform.win32.win32_notifier.Win32_Notifier object at 0x0000000005d29550>
2020-11-17 11:12:03,224 created named pipe 'Xpra\13308'
2020-11-17 11:12:03,535 keyboard layout code 0x409
2020-11-17 11:12:03,536 identified as 'United States - English' : us
2020-11-17 11:12:03,927  keyboard settings: layout=us
2020-11-17 11:12:03,931  desktop size is 4160x1440 with 1 screen:
2020-11-17 11:12:03,932   Default (1100x381 mm - DPI: 96x96) workarea: 4160x1400
2020-11-17 11:12:03,932     Generic PnP Monitor 1600x900 at 0x534 (309x174 mm - DPI: 132x131) workarea: 1600x860 at 0x534
2020-11-17 11:12:03,932     C32JG5x 2560x1440 at 1600x0 (697x392 mm - DPI: 93x93) workarea: 2560x1400 at 1600x0
2020-11-17 11:12:08,889 enabled remote logging
2020-11-17 11:12:08,893 Xpra GTK3 X11 server version 3.0.12-r27620 64-bit
2020-11-17 11:12:08,894  running on Linux Ubuntu 16.04 xenial
2020-11-17 11:12:08,903 Attached to ip:22
2020-11-17 11:12:08,906  (press Control-C to detach)


(xpra_cmd:13308): Pango-WARNING **: 11:12:09.416: couldn't load font "Bitstream Vera Sans Not-Rotated 14.662109375", falling back to "Sans Not-Rotated 14.662109375", expect ugly output.
2020-11-17 11:12:10,454 UI thread is now blocked
2020-11-17 11:12:10,897 UI thread is running again, resuming
2020-11-17 11:12:25,098 server is not responding, drawing spinners over the windows
2020-11-17 11:12:39,920 server is OK again
2020-11-17 11:16:49,051 Warning: failed to set clipboard data
2020-11-17 11:16:49,057  OpenClipboard: too many failed attempts, giving up
2020-11-17 11:17:04,918 Warning: failed to set clipboard data
2020-11-17 11:17:04,920  OpenClipboard: too many failed attempts, giving up
2020-11-17 11:32:54,292 unknown string message: 0xc283 / 0x13e005e / 0x2
2020-11-17 12:06:41,671 Error: failed to set tray icon
Traceback (most recent call last):
  File "E:\Xpra\trunk\src/xpra/platform/win32/win32_NotifyIcon.py", line 180, in make_ICONINFO
OSError: [WinError 87] The parameter is incorrect.
2020-11-17 12:06:41,739 Error: failed to set tray icon
Traceback (most recent call last):
  File "E:\Xpra\trunk\src/xpra/platform/win32/win32_NotifyIcon.py", line 180, in make_ICONINFO
OSError: [WinError 87] The parameter is incorrect.
....

I also don't understand why that happens constantly every second but *only after* I move my mouse above them.

comment:20 Changed 6 months ago by stdedos

On a side topic - can you backport the xpra top feature that contains the pid of the windows shown?

I'd like to know what I can kill to maybe be able to work around this.

The leak must be these entries:

15 windows
 ┌──────────────────────┐
 │Xpra                  │
 │16x16 at 1116,1404    │
 │tray                  │
 │NORMAL                │
 └──────────────────────┘
Last edited 6 months ago by stdedos (previous) (diff)

comment:21 Changed 6 months ago by Antoine Martin

I think I've just found the bug: r27984. Thank you for your patience and perseverance!

I also don't understand why that happens constantly every second but *only after* I move my mouse above them.

We use the pointer events to figure out the actual location of the tray window (but we shouldn't: #2943) and this often causes the tray to be re-configured and re-painted when you move the pointer.

On a side topic - can you backport the xpra top feature that contains the pid of the windows shown?

The changes you want are in ticket:2601#comment:4 and is now included in the milestone/3.1.

comment:22 Changed 6 months ago by stdedos


"Xpra-Python3-x86_64_4.1-r27984\xpra_cmd" attach ssh://user@ip/3 --ssh="plink -ssh -agent" --modal-windows=no --title="@title@ on @@/@server-display@" --headerbar=off --cursors=no -d win32 -d notify --opengl=no --bandwidth-limit=6Mbps

XPRA_CUSTOM_TITLE_BAR=0
XPRA_EXECUTABLE=Xpra-Python3-x86_64_4.1-r27984
XPRA_REPAINT_ALL=1
XPRA_SCROLL_ENCODING=0

2020-11-18 10:34:45,922 Xpra GTK3 client version 4.1-r27984 64-bit
2020-11-18 10:34:45,923  running on Microsoft Windows 10
2020-11-18 10:34:50,564 GStreamer version 1.18.1 for Python 3.8.6 64-bit
2020-11-18 10:34:50,581 make_notifier() notifier classes: [<class 'xpra.platform.win32.win32_notifier.Win32_Notifier'>, <class 'xpra.gtk_common.gtk_notifier.GTK_Notifier'>, <class 'xpra.client.gtk3.gtk3_notifier.GTK3_Notifier'>]
2020-11-18 10:34:50,582 using notifier=<xpra.platform.win32.win32_notifier.Win32_Notifier object at 0x0000000005d29580>
2020-11-18 10:34:50,904 created named pipe 'Xpra\10512'
2020-11-18 10:34:51,256 keyboard layout code 0x409
2020-11-18 10:34:51,256 identified as 'United States - English' : us
2020-11-18 10:34:51,704  keyboard settings: layout=us
2020-11-18 10:34:51,708  desktop size is 4160x1440 with 1 screen:
2020-11-18 10:34:51,709   Default (1100x381 mm - DPI: 96x96) workarea: 4160x1400
2020-11-18 10:34:51,709     Generic PnP Monitor 1600x900 at 0x534 (309x174 mm - DPI: 132x131) workarea: 1600x860 at 0x534
2020-11-18 10:34:51,710     C32JG5x 2560x1440 at 1600x0 (697x392 mm - DPI: 93x93) workarea: 2560x1400 at 1600x0
2020-11-18 10:35:02,374 enabled remote logging
2020-11-18 10:35:02,381 Xpra GTK3 X11 server version 3.0.12-r27620 64-bit
2020-11-18 10:35:02,384  running on Linux Ubuntu 16.04 xenial
2020-11-18 10:35:02,405 Attached to :22
2020-11-18 10:35:02,414  (press Control-C to detach)


(xpra_cmd:10512): Pango-WARNING **: 10:35:02.869: couldn't load font "Bitstream Vera Sans Not-Rotated 14.662109375", falling back to "Sans Not-Rotated 14.662109375", expect ugly output.
2020-11-18 10:35:03,902 UI thread is now blocked
2020-11-18 10:35:04,266 UI thread is running again, resuming
2020-11-18 10:35:36,984 unknown string message: 0xc26d / 0x0 / 0x0
2020-11-18 10:36:19,692 unknown string message: 0xc26d / 0x0 / 0x0
2020-11-18 10:36:43,741 server is not responding, drawing spinners over the windows
2020-11-18 10:37:13,404 server is OK again


Changed 6 months ago by stdedos

comment:23 Changed 6 months ago by Antoine Martin

All the tray icons look fine to me.
Are yours really all white / black from the start? Even xpra's own one?

Does r28001 help?

comment:24 Changed 6 months ago by stdedos

No, no luck 😕 Still everything is black, white, or transparent.

Even processes that don't exist (they are not supposed to exist in ps faux) have a tray icon.

comment:25 Changed 6 months ago by Antoine Martin

Even processes that don't exist (they are not supposed to exist in ps faux) have a tray icon.

I don't see how xpra could do this. When did you last reboot this system?
Does -d tray,notify show anything interesting?

comment:26 in reply to:  25 Changed 6 months ago by stdedos

Replying to Antoine Martin:

Even processes that don't exist (they are not supposed to exist in ps faux) have a tray icon.

I don't see how xpra could do this. When did you last reboot this system?

Long, long time ago. Basically "I am trying for a high-score". (I am too bored on re-opening everything I need)
Without PID information, I'd say somehow "xpra keeps defunct processes around", because they crashed and didn't clean up properly.

Does -d tray,notify show anything interesting?

It shows a lot. Interesting, I don't know:

"Xpra-Python3-x86_64_4.1-r28001\xpra_cmd" attach ssh://user@ip/3 --ssh="plink -ssh -agent" --modal-windows=no --title="@title@ on @@/@server-display@" --headerbar=off --cursors=no -d win32 -d notify -d tray,notify --opengl=no --bandwidth-limit=6Mbps

XPRA_CUSTOM_TITLE_BAR=0
XPRA_EXECUTABLE=Xpra-Python3-x86_64_4.1-r28001
XPRA_REPAINT_ALL=1
XPRA_SCROLL_ENCODING=0

2020-11-18 12:02:01,012 Xpra GTK3 client version 4.1-r28001 64-bit
2020-11-18 12:02:01,015  running on Microsoft Windows 10
2020-11-18 12:02:01,156 overlay_image=<PIL.PngImagePlugin.PngImageFile image mode=RGBA size=48x48 at 0x5B01A00>
2020-11-18 12:02:02,235 GStreamer version 1.18.1 for Python 3.8.6 64-bit
2020-11-18 12:02:02,254 make_notifier() notifier classes: [<class 'xpra.platform.win32.win32_notifier.Win32_Notifier'>, <class 'xpra.gtk_common.gtk_notifier.GTK_Notifier'>, <class 'xpra.client.gtk3.gtk3_notifier.GTK3_Notifier'>]
2020-11-18 12:02:02,256 using notifier=<xpra.platform.win32.win32_notifier.Win32_Notifier object at 0x0000000005d2c580>
2020-11-18 12:02:02,585 created named pipe 'Xpra\11052'
2020-11-18 12:02:02,888 make_tray_menu_helper() tray menu helper classes: (None, <class 'xpra.client.gtk3.tray_menu.GTK3TrayMenu'>)
2020-11-18 12:02:02,901 keyboard layout code 0x409
2020-11-18 12:02:02,902 identified as 'United States - English' : us
2020-11-18 12:02:03,061 setup_xpra_tray()
2020-11-18 12:02:03,195 get_tray_title()=Xpra (items=('Xpra',))
2020-11-18 12:02:03,202 loading ctypes NotifyIcon functions
2020-11-18 12:02:03,208 tray GUESS_GEOMETRY=True
2020-11-18 12:02:03,210 make_tray(0, <Gtk.Menu object at 0x00000000081add40 (GtkMenu at 0x00000000053f0ad0)>, 'Xpra', 'xpra', <function TrayClient.create_xpra_tray.<locals>.xpra_tray_geometry at 0x0000000008140700>, <function TrayClient.create_xpra_tray.<locals>.xpra_tray_click at 0x0000000003e61af0>, <function TrayClient.create_xpra_tray.<locals>.xpra_tray_mouseover at 0x0000000003e61b80>, <function TrayClient.create_xpra_tray.<locals>.xpra_tray_exit at 0x00000000081405e0>) tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:03,212 calculate_offset() x=0, y=534
2020-11-18 12:02:03,214 win32NotifyIcon: app_id=0, title='Xpra'
2020-11-18 12:02:03,215 create_tray_window()
2020-11-18 12:02:03,219 GetModuleHandleExA(..)=0x400000
2020-11-18 12:02:03,220 RegisterClassExA(win32NotifyIcon)=49816
2020-11-18 12:02:03,221 CreateWindowExA(0, 49816, 'Xpra StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:03,223 NotifyIconWndProc(21697608, 36, 0, 6404656) instance=None, message(36)=None
2020-11-18 12:02:03,225 NotifyIconWndProc(21697608, 129, 0, 6404608) instance=None, message(129)=None
2020-11-18 12:02:03,226 NotifyIconWndProc(21697608, 131, 0, 6404688) instance=None, message(131)=None
2020-11-18 12:02:03,230 NotifyIconWndProc(21697608, 1, 0, 6404592) instance=None, message(1)=None
2020-11-18 12:02:03,231 create_window() hwnd=0x14b1448
2020-11-18 12:02:03,233 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000008150640> tooltip='Xpra', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:03,281 Shell_NotifyIcon ADD=1
2020-11-18 12:02:03,283 setup_xpra_tray(xpra)=Tray(0:Xpra) (<class 'xpra.platform.win32.win32_tray.Win32Tray'>)
2020-11-18 12:02:03,284 NotifyIconWndProc(21697608, 799, 1, 0) instance=win32NotifyIcon(0x0), message(799)=None
2020-11-18 12:02:03,325  keyboard settings: layout=us
2020-11-18 12:02:03,334  desktop size is 4160x1440 with 1 screen:
2020-11-18 12:02:03,335   Default (1100x381 mm - DPI: 96x96) workarea: 4160x1400
2020-11-18 12:02:03,338     Generic PnP Monitor 1600x900 at 0x534 (309x174 mm - DPI: 132x131) workarea: 1600x860 at 0x534
2020-11-18 12:02:03,339     C32JG5x 2560x1440 at 1600x0 (697x392 mm - DPI: 93x93) workarea: 2560x1400 at 1600x0
2020-11-18 12:02:04,288 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:04,295 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:04,297 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:04,300 LoadImage(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) using image type=ICON
2020-11-18 12:02:04,305 LoadImage(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)=0x17c147b
2020-11-18 12:02:04,311 do_set_icon(0x17c147b)
2020-11-18 12:02:04,313 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000008150f40> tooltip='Xpra', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:04,325 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000008150f40> tooltip='Xpra', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:08,014 enabled remote logging
2020-11-18 12:02:08,020 Xpra GTK3 X11 server version 3.0.12-r27620 64-bit
2020-11-18 12:02:08,023  running on Linux Ubuntu 16.04 xenial
2020-11-18 12:02:08,038 Attached to ip:22
2020-11-18 12:02:08,042  (press Control-C to detach)

2020-11-18 12:02:08,043 get_tray_title()=bash\nssh://usrn@ip/3 (items=('bash', 'ssh://usrn@ip/3'))
2020-11-18 12:02:08,056 get_tray_title()=bash\nssh://usrn@ip/3 (items=('bash', 'ssh://usrn@ip/3'))
2020-11-18 12:02:08,058 set_tooltip(bash\nssh://usrn@ip/3)
2020-11-18 12:02:08,059 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000008859840> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID

(xpra_cmd:11052): Pango-WARNING **: 12:02:08.541: couldn't load font "Bitstream Vera Sans Not-Rotated 14.662109375", falling back to "Sans Not-Rotated 14.662109375", expect ugly output.
2020-11-18 12:02:09,488 NotifyIconWndProc(21697608, 28, 1, 932) instance=win32NotifyIcon(0x0), message(28)=None
2020-11-18 12:02:09,573 UI thread is now blocked
2020-11-18 12:02:09,642 tray 1537 metadata={b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2002fcb', b'pid': 15279}
2020-11-18 12:02:09,661 make_system_tray(1537, None, 'Xpra', None, <function WindowClient.setup_system_tray.<locals>.tray_geometry at 0x0000000019011940>, <function WindowClient.setup_system_tray.<locals>.tray_click at 0x00000000081c4e50>, <function WindowClient.setup_system_tray.<locals>.tray_mouseover at 0x0000000019011820>, <function WindowClient.setup_system_tray.<locals>.tray_exit at 0x00000000190119d0>) system tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:09,665 calculate_offset() x=0, y=534
2020-11-18 12:02:09,667 win32NotifyIcon: app_id=1537, title='Xpra'
2020-11-18 12:02:09,671 create_tray_window()
2020-11-18 12:02:09,677 CreateWindowExA(0, 49816, 'Xpra StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:09,680 NotifyIconWndProc(6559588, 36, 0, 6404288) instance=None, message(36)=None
2020-11-18 12:02:09,683 NotifyIconWndProc(6559588, 129, 0, 6404240) instance=None, message(129)=None
2020-11-18 12:02:09,689 NotifyIconWndProc(6559588, 131, 0, 6404320) instance=None, message(131)=None
2020-11-18 12:02:09,692 NotifyIconWndProc(6559588, 1, 0, 6404224) instance=None, message(1)=None
2020-11-18 12:02:09,695 create_window() hwnd=0x641764
2020-11-18 12:02:09,696 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61dc0> tooltip='Xpra', app_id=1537, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:09,733 Shell_NotifyIcon ADD=1
2020-11-18 12:02:09,738 setup_system_tray(gtk3.client, 1537, 1537, 16, 16, 'Xpra') tray_widget=Tray(1537:Xpra)
2020-11-18 12:02:09,741 ClientTray(gtk3.client, 1537, 16, 16, Tray(1537:Xpra), False, <mmap.mmap object at 0x00000000087e8c90>)
2020-11-18 12:02:09,743 process_new_tray(['new-tray', 1537, 16, 16, {b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2002fcb', b'pid': 15279}]) tray=ClientTray(1537:Xpra)
2020-11-18 12:02:09,745 tray 2998 metadata={b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x200485d', b'pid': 15279}
2020-11-18 12:02:09,749 make_system_tray(2998, None, 'Xpra', None, <function WindowClient.setup_system_tray.<locals>.tray_geometry at 0x0000000019011a60>, <function WindowClient.setup_system_tray.<locals>.tray_click at 0x00000000081c4ee0>, <function WindowClient.setup_system_tray.<locals>.tray_mouseover at 0x0000000019011c10>, <function WindowClient.setup_system_tray.<locals>.tray_exit at 0x0000000019011d30>) system tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:09,751 calculate_offset() x=0, y=534
2020-11-18 12:02:09,752 win32NotifyIcon: app_id=2998, title='Xpra'
2020-11-18 12:02:09,753 create_tray_window()
2020-11-18 12:02:09,754 CreateWindowExA(0, 49816, 'Xpra StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:09,757 NotifyIconWndProc(4593322, 36, 0, 6404288) instance=None, message(36)=None
2020-11-18 12:02:09,764 NotifyIconWndProc(4593322, 129, 0, 6404240) instance=None, message(129)=None
2020-11-18 12:02:09,766 NotifyIconWndProc(4593322, 131, 0, 6404320) instance=None, message(131)=None
2020-11-18 12:02:09,768 NotifyIconWndProc(4593322, 1, 0, 6404224) instance=None, message(1)=None
2020-11-18 12:02:09,769 create_window() hwnd=0x4616aa
2020-11-18 12:02:09,771 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61dc0> tooltip='Xpra', app_id=2998, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:09,817 Shell_NotifyIcon ADD=1
2020-11-18 12:02:09,821 setup_system_tray(gtk3.client, 2998, 2998, 16, 16, 'Xpra') tray_widget=Tray(2998:Xpra)
2020-11-18 12:02:09,824 ClientTray(gtk3.client, 2998, 16, 16, Tray(2998:Xpra), False, <mmap.mmap object at 0x00000000087e8c90>)
2020-11-18 12:02:09,827 process_new_tray(['new-tray', 2998, 16, 16, {b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x200485d', b'pid': 15279}]) tray=ClientTray(2998:Xpra)
2020-11-18 12:02:09,876 tray 3037 metadata={b'title': b'vmware-tray', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004a02', b'pid': 15279}
2020-11-18 12:02:09,886 make_system_tray(3037, None, 'vmware-tray', None, <function WindowClient.setup_system_tray.<locals>.tray_geometry at 0x000000001901a9d0>, <function WindowClient.setup_system_tray.<locals>.tray_click at 0x00000000081c71f0>, <function WindowClient.setup_system_tray.<locals>.tray_mouseover at 0x000000001901a8b0>, <function WindowClient.setup_system_tray.<locals>.tray_exit at 0x000000001901aa60>) system tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:09,895 calculate_offset() x=0, y=534
2020-11-18 12:02:09,904 win32NotifyIcon: app_id=3037, title='vmware-tray'
2020-11-18 12:02:09,908 create_tray_window()
2020-11-18 12:02:09,911 CreateWindowExA(0, 49816, 'vmware-tray StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:09,916 NotifyIconWndProc(4920204, 36, 0, 6404288) instance=None, message(36)=None
2020-11-18 12:02:09,919 NotifyIconWndProc(4920204, 129, 0, 6404240) instance=None, message(129)=None
2020-11-18 12:02:09,921 NotifyIconWndProc(4920204, 131, 0, 6404320) instance=None, message(131)=None
2020-11-18 12:02:09,929 NotifyIconWndProc(4920204, 1, 0, 6404224) instance=None, message(1)=None
2020-11-18 12:02:09,932 create_window() hwnd=0x4b138c
2020-11-18 12:02:09,935 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001901e040> tooltip='vmware-tray', app_id=3037, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:09,980 Shell_NotifyIcon ADD=1
2020-11-18 12:02:09,983 setup_system_tray(gtk3.client, 3037, 3037, 16, 16, 'vmware-tray') tray_widget=Tray(3037:vmware-tray)
2020-11-18 12:02:09,985 ClientTray(gtk3.client, 3037, 16, 16, Tray(3037:vmware-tray), False, <mmap.mmap object at 0x00000000087e8c90>)
2020-11-18 12:02:09,986 process_new_tray(['new-tray', 3037, 16, 16, {b'title': b'vmware-tray', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004a02', b'pid': 15279}]) tray=ClientTray(3037:vmware-tray)
2020-11-18 12:02:09,987 tray 3124 metadata={b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004ce7', b'pid': 15279}
2020-11-18 12:02:09,989 make_system_tray(3124, None, 'Xpra', None, <function WindowClient.setup_system_tray.<locals>.tray_geometry at 0x000000001901ac10>, <function WindowClient.setup_system_tray.<locals>.tray_click at 0x00000000081c73a0>, <function WindowClient.setup_system_tray.<locals>.tray_mouseover at 0x000000001901ab80>, <function WindowClient.setup_system_tray.<locals>.tray_exit at 0x000000001901aca0>) system tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:09,992 calculate_offset() x=0, y=534
2020-11-18 12:02:09,998 win32NotifyIcon: app_id=3124, title='Xpra'
2020-11-18 12:02:09,999 create_tray_window()
2020-11-18 12:02:10,001 CreateWindowExA(0, 49816, 'Xpra StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:10,003 NotifyIconWndProc(6231616, 36, 0, 6404288) instance=None, message(36)=None
2020-11-18 12:02:10,005 NotifyIconWndProc(6231616, 129, 0, 6404240) instance=None, message(129)=None
2020-11-18 12:02:10,011 NotifyIconWndProc(6231616, 131, 0, 6404320) instance=None, message(131)=None
2020-11-18 12:02:10,014 NotifyIconWndProc(6231616, 1, 0, 6404224) instance=None, message(1)=None
2020-11-18 12:02:10,016 create_window() hwnd=0x5f1640
2020-11-18 12:02:10,017 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001901f040> tooltip='Xpra', app_id=3124, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:10,056 Shell_NotifyIcon ADD=1
2020-11-18 12:02:10,060 setup_system_tray(gtk3.client, 3124, 3124, 16, 16, 'Xpra') tray_widget=Tray(3124:Xpra)
2020-11-18 12:02:10,062 ClientTray(gtk3.client, 3124, 16, 16, Tray(3124:Xpra), False, <mmap.mmap object at 0x00000000087e8c90>)
2020-11-18 12:02:10,064 process_new_tray(['new-tray', 3124, 16, 16, {b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004ce7', b'pid': 15279}]) tray=ClientTray(3124:Xpra)
2020-11-18 12:02:10,066 tray 3165 metadata={b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004ea0', b'pid': 15279}
2020-11-18 12:02:10,067 make_system_tray(3165, None, 'Xpra', None, <function WindowClient.setup_system_tray.<locals>.tray_geometry at 0x000000001901ad30>, <function WindowClient.setup_system_tray.<locals>.tray_click at 0x00000000081c70d0>, <function WindowClient.setup_system_tray.<locals>.tray_mouseover at 0x000000001901ae50>, <function WindowClient.setup_system_tray.<locals>.tray_exit at 0x000000001901af70>) system tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2020-11-18 12:02:10,070 calculate_offset() x=0, y=534
2020-11-18 12:02:10,072 win32NotifyIcon: app_id=3165, title='Xpra'
2020-11-18 12:02:10,073 create_tray_window()
2020-11-18 12:02:10,074 CreateWindowExA(0, 49816, 'Xpra StatusIcon Window', 524288, -2147483648, -2147483648, 0, 0, 0, 0, 4194304, 0)
2020-11-18 12:02:10,077 NotifyIconWndProc(3938328, 36, 0, 6404288) instance=None, message(36)=None
2020-11-18 12:02:10,084 NotifyIconWndProc(3938328, 129, 0, 6404240) instance=None, message(129)=None
2020-11-18 12:02:10,087 NotifyIconWndProc(3938328, 131, 0, 6404320) instance=None, message(131)=None
2020-11-18 12:02:10,089 NotifyIconWndProc(3938328, 1, 0, 6404224) instance=None, message(1)=None
2020-11-18 12:02:10,092 create_window() hwnd=0x3c1818
2020-11-18 12:02:10,095 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001901f040> tooltip='Xpra', app_id=3165, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:10,137 Shell_NotifyIcon ADD=1
2020-11-18 12:02:10,139 setup_system_tray(gtk3.client, 3165, 3165, 16, 16, 'Xpra') tray_widget=Tray(3165:Xpra)
2020-11-18 12:02:10,142 ClientTray(gtk3.client, 3165, 16, 16, Tray(3165:Xpra), False, <mmap.mmap object at 0x00000000087e8c90>)
2020-11-18 12:02:10,144 process_new_tray(['new-tray', 3165, 16, 16, {b'title': b'Xpra', b'tray': True, b'has-alpha': True, b'client-machine': b'lnxpc', b'xid': b'0x2004ea0', b'pid': 15279}]) tray=ClientTray(3165:Xpra)
2020-11-18 12:02:10,162 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,170 set_tray_icon() 10 windows, 10 icons, 9 missing
2020-11-18 12:02:10,171 set_tray_icon() using default icon
2020-11-18 12:02:10,174 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,176 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,178 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,181 do_set_icon(0x17c147b)
2020-11-18 12:02:10,183 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a321040> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,186 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a321040> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,204 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,206 set_tray_icon() 10 windows, 10 icons, 8 missing
2020-11-18 12:02:10,209 set_tray_icon() using default icon
2020-11-18 12:02:10,212 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,213 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,217 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,218 do_set_icon(0x17c147b)
2020-11-18 12:02:10,220 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a322040> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,223 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a322040> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,257 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,261 set_tray_icon() 10 windows, 10 icons, 7 missing
2020-11-18 12:02:10,262 set_tray_icon() using default icon
2020-11-18 12:02:10,265 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,267 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,271 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,273 do_set_icon(0x17c147b)
2020-11-18 12:02:10,275 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b20c0> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,279 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b20c0> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,287 set_icon(clipboard) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico
2020-11-18 12:02:10,295 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,298 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico)
2020-11-18 12:02:10,299 LoadImage(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico) using image type=ICON
2020-11-18 12:02:10,302 LoadImage(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico)=0x2a01453
2020-11-18 12:02:10,303 do_set_icon(0x2a01453)
2020-11-18 12:02:10,304 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a4ebbc0> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,310 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a4ebbc0> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,315 set_tooltip(1 clipboard requests in progress)
2020-11-18 12:02:10,316 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x000000001a4ebbc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:10,331 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,333 set_tray_icon() 10 windows, 10 icons, 6 missing
2020-11-18 12:02:10,335 set_tray_icon() using default icon
2020-11-18 12:02:10,337 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,338 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,340 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,341 do_set_icon(0x17c147b)
2020-11-18 12:02:10,346 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,349 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,361 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,363 set_tray_icon() 10 windows, 10 icons, 5 missing
2020-11-18 12:02:10,364 set_tray_icon() using default icon
2020-11-18 12:02:10,366 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,367 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,368 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,370 do_set_icon(0x17c147b)
2020-11-18 12:02:10,371 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,372 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,385 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,386 set_tray_icon() 10 windows, 10 icons, 4 missing
2020-11-18 12:02:10,388 set_tray_icon() using default icon
2020-11-18 12:02:10,391 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,394 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,395 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,397 do_set_icon(0x17c147b)
2020-11-18 12:02:10,398 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,401 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b50c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,414 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:10,415 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:10,416 set_tray_icon() using default icon
2020-11-18 12:02:10,418 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:10,419 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:10,420 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:10,424 do_set_icon(0x17c147b)
2020-11-18 12:02:10,426 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5140> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,429 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5140> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:10,431 ClientTray(1537:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 1, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x00000000081cb5e0>])
2020-11-18 12:02:10,435 ClientTray(2998:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 1, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018feae50>])
2020-11-18 12:02:10,439 ClientTray(3037:vmware-tray).draw_region(0, 0, 16, 16, 'rgb32', '18 bytes', 64, 1, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fead30>])
2020-11-18 12:02:10,452 ClientTray(3124:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 1, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fea8b0>])
2020-11-18 12:02:10,481 ClientTray(3165:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 1, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fea160>])
2020-11-18 12:02:10,944 ClientTray(1537:Xpra).reconfigure(True) geometry=None
2020-11-18 12:02:10,947 ClientTray(1537:Xpra).reconfigure() guessing location using size=(16, 16)
2020-11-18 12:02:10,949 ClientTray(1537:Xpra).reconfigure(True) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:10,951 ClientTray(2998:Xpra).reconfigure(True) geometry=None
2020-11-18 12:02:10,953 ClientTray(2998:Xpra).reconfigure() guessing location using size=(16, 16)
2020-11-18 12:02:10,955 ClientTray(2998:Xpra).reconfigure(True) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:10,963 ClientTray(1537:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:10,965 ClientTray(2998:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:10,966 ClientTray(3037:vmware-tray).reconfigure(False) geometry=None
2020-11-18 12:02:10,967 ClientTray(3037:vmware-tray).reconfigure() guessing location using size=(16, 16)
2020-11-18 12:02:10,969 ClientTray(3037:vmware-tray).reconfigure(False) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:10,972 ClientTray(3124:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:10,974 ClientTray(3124:Xpra).reconfigure() guessing location using size=(16, 16)
2020-11-18 12:02:10,984 ClientTray(3124:Xpra).reconfigure(False) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:10,986 ClientTray(3165:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:10,988 ClientTray(3165:Xpra).reconfigure() guessing location using size=(16, 16)
2020-11-18 12:02:10,990 ClientTray(3165:Xpra).reconfigure(False) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:10,997 set_icon(clipboard) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico
2020-11-18 12:02:11,003 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,005 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\clipboard.ico)
2020-11-18 12:02:11,006 do_set_icon(0x2a01453)
2020-11-18 12:02:11,008 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e619c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,017 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e619c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,020 set_tooltip(1 clipboard requests in progress)
2020-11-18 12:02:11,021 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e619c0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:11,029 TrayBacking(1537)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,033 ClientTray(1537:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,036 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900eb20>, data: True
2020-11-18 12:02:11,038 TrayBacking(2998)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,044 ClientTray(2998:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,046 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900ed30>, data: True
2020-11-18 12:02:11,053 TrayBacking(3037)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,056 ClientTray(3037:vmware-tray).after_draw_update_tray(True, )
2020-11-18 12:02:11,058 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b550>, data: True
2020-11-18 12:02:11,062 TrayBacking(3124)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,066 ClientTray(3124:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,069 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b670>, data: True
2020-11-18 12:02:11,071 TrayBacking(3165)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,073 ClientTray(3165:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,076 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b790>, data: True
2020-11-18 12:02:11,093 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,096 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,097 set_tray_icon() using default icon
2020-11-18 12:02:11,100 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,101 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,103 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,105 do_set_icon(0x17c147b)
2020-11-18 12:02:11,106 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,108 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,130 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,132 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,133 set_tray_icon() using default icon
2020-11-18 12:02:11,136 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,137 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,142 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,143 do_set_icon(0x17c147b)
2020-11-18 12:02:11,145 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,147 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,165 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,168 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,173 set_tray_icon() using default icon
2020-11-18 12:02:11,177 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,182 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,184 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,185 do_set_icon(0x17c147b)
2020-11-18 12:02:11,187 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,189 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,209 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,215 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,217 set_tray_icon() using default icon
2020-11-18 12:02:11,220 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,222 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,226 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,229 do_set_icon(0x17c147b)
2020-11-18 12:02:11,233 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,237 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,252 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,257 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,259 set_tray_icon() using default icon
2020-11-18 12:02:11,265 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,314 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,324 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,327 do_set_icon(0x17c147b)
2020-11-18 12:02:11,331 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,337 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,358 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,361 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,367 set_tray_icon() using default icon
2020-11-18 12:02:11,369 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,371 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,372 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,377 do_set_icon(0x17c147b)
2020-11-18 12:02:11,383 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,386 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,404 set_tray_icon() DYNAMIC_TRAY_ICON=True, tray=Tray(0:Xpra)
2020-11-18 12:02:11,406 set_tray_icon() 10 windows, 10 icons, 3 missing
2020-11-18 12:02:11,407 set_tray_icon() using default icon
2020-11-18 12:02:11,411 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:11,415 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:11,419 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:11,420 do_set_icon(0x17c147b)
2020-11-18 12:02:11,422 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,425 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61bc0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:11,430 ClientTray(3037:vmware-tray).reconfigure(True) geometry=None
2020-11-18 12:02:11,455 ClientTray(3037:vmware-tray).reconfigure(True) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:11,459 ClientTray(3124:Xpra).reconfigure(True) geometry=None
2020-11-18 12:02:11,460 ClientTray(3124:Xpra).reconfigure(True) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:11,465 ClientTray(3165:Xpra).reconfigure(True) geometry=None
2020-11-18 12:02:11,474 ClientTray(3165:Xpra).reconfigure(True) sending configure for geometry=[0, 0, 16, 16] : (0, 0, 16, 16, {'encoding.transparency': True, 'encodings.rgb_formats': ['RGBA', 'RGB', 'RGBX']})
2020-11-18 12:02:11,477 ClientTray(1537:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:11,490 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,497 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:11,500 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:11,505 GetDC()=0xffffffffd00136d8
2020-11-18 12:02:11,518 CreateDIBSection(..) got bitmap=0xffffffff93053c25, dataptr=c_void_p(441516032)
2020-11-18 12:02:11,519 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744071881178149
2020-11-18 12:02:11,521 CreateBitmap(16, 16, 1, 1, None)=0x74051a1d
2020-11-18 12:02:11,522 CreateIconIndirect()=0x2a71453
2020-11-18 12:02:11,526 do_set_icon(0x2a71453)
2020-11-18 12:02:11,529 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61540> tooltip='Xpra', app_id=1537, actual flags=ICON, GUID
2020-11-18 12:02:11,536 ClientTray(1537:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:11,537 ClientTray(2998:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:11,539 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,540 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:11,541 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:11,545 GetDC()=0xffffffffd00136d8
2020-11-18 12:02:11,557 CreateDIBSection(..) got bitmap=0xffffffff950561dc, dataptr=c_void_p(441516032)
2020-11-18 12:02:11,558 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744071914742236
2020-11-18 12:02:11,560 CreateBitmap(16, 16, 1, 1, None)=0xffffffff80051a1d
2020-11-18 12:02:11,563 CreateIconIndirect()=0x128e1803
2020-11-18 12:02:11,566 do_set_icon(0x128e1803)
2020-11-18 12:02:11,567 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61940> tooltip='Xpra', app_id=2998, actual flags=ICON, GUID
2020-11-18 12:02:11,574 ClientTray(2998:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:11,576 ClientTray(3037:vmware-tray).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:11,586 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,613 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:11,617 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00', 4, 16, 16)
2020-11-18 12:02:11,619 GetDC()=0xffffffffd00136d8
2020-11-18 12:02:11,622 CreateDIBSection(..) got bitmap=0x490524e4, dataptr=c_void_p(441516032)
2020-11-18 12:02:11,624 rgb_to_bitmap(1024 bytes, 4, 16, 16)=1225073892
2020-11-18 12:02:11,635 CreateBitmap(16, 16, 1, 1, None)=0xffffffff8b051a1d
2020-11-18 12:02:11,637 CreateIconIndirect()=0xc81437
2020-11-18 12:02:11,639 do_set_icon(0xc81437)
2020-11-18 12:02:11,640 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e618c0> tooltip='vmware-tray', app_id=3037, actual flags=ICON, GUID
2020-11-18 12:02:11,658 ClientTray(1537:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 2, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe5310>])
2020-11-18 12:02:11,663 CreateIconIndirect()=0x9e21639
2020-11-18 12:02:11,665 ClientTray(2998:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 2, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe5940>])
2020-11-18 12:02:11,667 ClientTray(3165:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 2, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fead30>])
2020-11-18 12:02:11,672 ClientTray(3124:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:11,674 ClientTray(3165:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:11,675 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,677 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:11,681 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:11,683 GetDC()=0xffffffffd00136d8
2020-11-18 12:02:11,696 CreateDIBSection(..) got bitmap=0xffffffffe205451a, dataptr=c_void_p(441516032)
2020-11-18 12:02:11,699 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744073206580506
2020-11-18 12:02:11,703 CreateBitmap(16, 16, 1, 1, None)=0xfffffffffc051ab5
2020-11-18 12:02:11,705 CreateIconIndirect()=0x154216a5
2020-11-18 12:02:11,706 do_set_icon(0x154216a5)
2020-11-18 12:02:11,707 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61c40> tooltip='Xpra', app_id=3165, actual flags=ICON, GUID
2020-11-18 12:02:11,716 ClientTray(3165:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:11,877 TrayBacking(1537)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,880 ClientTray(1537:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,882 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900eb20>, data: True
2020-11-18 12:02:11,884 TrayBacking(3037)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,885 ClientTray(3037:vmware-tray).after_draw_update_tray(True, )
2020-11-18 12:02:11,886 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b550>, data: True
2020-11-18 12:02:11,887 TrayBacking(3124)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,889 ClientTray(3124:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,892 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b670>, data: True
2020-11-18 12:02:11,893 TrayBacking(2998)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,895 ClientTray(2998:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,897 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900ed30>, data: True
2020-11-18 12:02:11,898 TrayBacking(3165)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:11,899 ClientTray(3165:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:11,900 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b790>, data: True
2020-11-18 12:02:12,028 ClientTray(1537:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:12,032 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:12,034 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:12,035 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:12,038 GetDC()=0xffffffff9b015577
2020-11-18 12:02:12,055 CreateDIBSection(..) got bitmap=0xffffffffd4054259, dataptr=c_void_p(441516032)
2020-11-18 12:02:12,060 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744072971698777
2020-11-18 12:02:12,062 CreateBitmap(16, 16, 1, 1, None)=0xffffffffe30559f4
2020-11-18 12:02:12,066 CreateIconIndirect()=0x3cf15bf
2020-11-18 12:02:12,068 do_set_icon(0x3cf15bf)
2020-11-18 12:02:12,069 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b59c0> tooltip='Xpra', app_id=1537, actual flags=ICON, GUID
2020-11-18 12:02:12,072 ClientTray(1537:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:12,082 ClientTray(3037:vmware-tray).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:12,085 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:12,087 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:12,088 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00', 4, 16, 16)
2020-11-18 12:02:12,101 GetDC()=0xffffffff9b015577
2020-11-18 12:02:12,114 CreateDIBSection(..) got bitmap=0xffffffff9f055afc, dataptr=c_void_p(441516032)
2020-11-18 12:02:12,124 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744072082512636
2020-11-18 12:02:12,139 CreateBitmap(16, 16, 1, 1, None)=0x3b056140
2020-11-18 12:02:12,148 CreateIconIndirect()=0x53518d1
2020-11-18 12:02:12,152 do_set_icon(0x53518d1)
2020-11-18 12:02:12,154 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5cc0> tooltip='vmware-tray', app_id=3037, actual flags=ICON, GUID
2020-11-18 12:02:12,159 ClientTray(3037:vmware-tray).reconfigure(False) geometry=None
2020-11-18 12:02:12,162 ClientTray(3124:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:12,165 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:12,167 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:12,169 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:12,191 GetDC()=0xffffffff9b015577
2020-11-18 12:02:12,195 CreateDIBSection(..) got bitmap=0x4b05479a, dataptr=c_void_p(439418880)
2020-11-18 12:02:12,197 rgb_to_bitmap(1024 bytes, 4, 16, 16)=1258637210
2020-11-18 12:02:12,212 CreateBitmap(16, 16, 1, 1, None)=0x11054581
2020-11-18 12:02:12,220 CreateIconIndirect()=0x5921531
2020-11-18 12:02:12,222 do_set_icon(0x5921531)
2020-11-18 12:02:12,225 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5b40> tooltip='Xpra', app_id=3124, actual flags=ICON, GUID
2020-11-18 12:02:12,230 ClientTray(3124:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:12,233 ClientTray(2998:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:12,234 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:12,238 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:12,240 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:12,243 GetDC()=0xffffffff9b015577
2020-11-18 12:02:12,247 CreateDIBSection(..) got bitmap=0xffffffffd7055c6e, dataptr=c_void_p(439418880)
2020-11-18 12:02:12,255 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744073022037102
2020-11-18 12:02:12,256 CreateBitmap(16, 16, 1, 1, None)=0x750524e4
2020-11-18 12:02:12,258 CreateIconIndirect()=0x34e14e1
2020-11-18 12:02:12,260 do_set_icon(0x34e14e1)
2020-11-18 12:02:12,262 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b58c0> tooltip='Xpra', app_id=2998, actual flags=ICON, GUID
2020-11-18 12:02:12,268 ClientTray(2998:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:12,270 ClientTray(3165:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:12,271 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:12,273 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:12,275 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:12,279 GetDC()=0xffffffffd00136d8
2020-11-18 12:02:12,284 CreateDIBSection(..) got bitmap=0xfffffffffb05528c, dataptr=c_void_p(439418880)
2020-11-18 12:02:12,285 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744073626014348
2020-11-18 12:02:12,287 CreateBitmap(16, 16, 1, 1, None)=0x6a056140
2020-11-18 12:02:12,296 CreateIconIndirect()=0x12911803
2020-11-18 12:02:12,298 do_set_icon(0x12911803)
2020-11-18 12:02:12,299 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5940> tooltip='Xpra', app_id=3165, actual flags=ICON, GUID
2020-11-18 12:02:12,302 ClientTray(3165:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:12,339 set_icon(None) using filename=...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico
2020-11-18 12:02:12,342 set_icon_from_file(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2020-11-18 12:02:12,343 set_icon(...\xpra-clients\Xpra-Python3-x86_64_4.1-r28001\share\xpra\icons\xpra.ico)
2020-11-18 12:02:12,345 do_set_icon(0x17c147b)
2020-11-18 12:02:12,346 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5ec0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:12,348 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203b5ec0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2020-11-18 12:02:12,350 get_tray_title()=bash\nssh://usrn@ip/3 (items=('bash', 'ssh://usrn@ip/3'))
2020-11-18 12:02:12,354 set_tooltip(bash\nssh://usrn@ip/3)
2020-11-18 12:02:12,355 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61cc0> tooltip='bash\nssh://usrn@ip/3', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2020-11-18 12:02:13,502 NotifyIconWndProc(3938328, 28, 0, 8480) instance=win32NotifyIcon(0xc5d), message(28)=None
2020-11-18 12:02:13,506 NotifyIconWndProc(6231616, 28, 0, 8480) instance=win32NotifyIcon(0xc34), message(28)=None
2020-11-18 12:02:13,508 NotifyIconWndProc(4920204, 28, 0, 8480) instance=win32NotifyIcon(0xbdd), message(28)=None
2020-11-18 12:02:13,510 NotifyIconWndProc(4593322, 28, 0, 8480) instance=win32NotifyIcon(0xbb6), message(28)=None
2020-11-18 12:02:13,511 NotifyIconWndProc(6559588, 28, 0, 8480) instance=win32NotifyIcon(0x601), message(28)=None
2020-11-18 12:02:13,512 NotifyIconWndProc(21697608, 28, 0, 8480) instance=win32NotifyIcon(0x0), message(28)=None
2020-11-18 12:02:13,810 ClientTray(1537:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 3, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe55e0>])
2020-11-18 12:02:13,814 ClientTray(3037:vmware-tray).draw_region(0, 0, 16, 16, 'rgb32', '18 bytes', 64, 3, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe51f0>])
2020-11-18 12:02:13,815 ClientTray(3124:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 3, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe5940>])
2020-11-18 12:02:13,817 ClientTray(2998:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 3, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fe50d0>])
2020-11-18 12:02:13,820 ClientTray(3165:Xpra).draw_region(0, 0, 16, 16, 'rgb32', '26 bytes', 64, 3, {b'lz4': 1, b'rgb_format': b'RGBA'}, [<function WindowClient._do_draw.<locals>.record_decode_time at 0x0000000018fead30>])
2020-11-18 12:02:13,890 TrayBacking(1537)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,893 ClientTray(1537:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:13,894 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900eb20>, data: True
2020-11-18 12:02:13,895 TrayBacking(3037)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,897 ClientTray(3037:vmware-tray).after_draw_update_tray(True, )
2020-11-18 12:02:13,898 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b550>, data: True
2020-11-18 12:02:13,899 TrayBacking(3124)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,900 ClientTray(3124:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:13,925 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b670>, data: True
2020-11-18 12:02:13,931 TrayBacking(2998)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,932 ClientTray(2998:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:13,934 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001900ed30>, data: True
2020-11-18 12:02:13,936 TrayBacking(3165)._do_paint_rgb32('1024 bytes', 0, 0, 16, 16, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,937 ClientTray(3165:Xpra).after_draw_update_tray(True, )
2020-11-18 12:02:13,938 tray backing=<xpra.client.client_tray.TrayBacking object at 0x000000001901b790>, data: True
2020-11-18 12:02:13,955 ClientTray(1537:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:13,958 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,960 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:13,961 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:13,963 GetDC()=0x780130aa
2020-11-18 12:02:13,966 CreateDIBSection(..) got bitmap=0xffffffffef0548a0, dataptr=c_void_p(439418880)
2020-11-18 12:02:13,975 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744073424685216
2020-11-18 12:02:13,976 CreateBitmap(16, 16, 1, 1, None)=0xffffffff87055537
2020-11-18 12:02:13,978 CreateIconIndirect()=0x425162d
2020-11-18 12:02:13,980 do_set_icon(0x425162d)
2020-11-18 12:02:13,981 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203d20c0> tooltip='Xpra', app_id=1537, actual flags=ICON, GUID
2020-11-18 12:02:13,986 ClientTray(1537:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:13,988 ClientTray(3037:vmware-tray).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:13,989 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:13,991 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:13,991 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00', 4, 16, 16)
2020-11-18 12:02:13,994 GetDC()=0x780130aa
2020-11-18 12:02:14,005 CreateDIBSection(..) got bitmap=0x33051b4c, dataptr=c_void_p(439418880)
2020-11-18 12:02:14,006 rgb_to_bitmap(1024 bytes, 4, 16, 16)=855972684
2020-11-18 12:02:14,007 CreateBitmap(16, 16, 1, 1, None)=0xffffffff910558dd
2020-11-18 12:02:14,009 CreateIconIndirect()=0x1f4308f9
2020-11-18 12:02:14,010 do_set_icon(0x1f4308f9)
2020-11-18 12:02:14,036 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x0000000018e61cc0> tooltip='vmware-tray', app_id=3037, actual flags=ICON, GUID
2020-11-18 12:02:14,040 ClientTray(3037:vmware-tray).reconfigure(False) geometry=None
2020-11-18 12:02:14,082 ClientTray(3124:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:14,084 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:14,086 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:14,088 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:14,091 GetDC()=0xffffffff9b015577
2020-11-18 12:02:14,103 CreateDIBSection(..) got bitmap=0x25056010, dataptr=c_void_p(439418880)
2020-11-18 12:02:14,104 rgb_to_bitmap(1024 bytes, 4, 16, 16)=621109264
2020-11-18 12:02:14,106 CreateBitmap(16, 16, 1, 1, None)=0xffffffffc3054581
2020-11-18 12:02:14,107 CreateIconIndirect()=0x39a15b3
2020-11-18 12:02:14,108 do_set_icon(0x39a15b3)
2020-11-18 12:02:14,111 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203d22c0> tooltip='Xpra', app_id=3124, actual flags=ICON, GUID
2020-11-18 12:02:14,115 ClientTray(3124:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:14,117 ClientTray(2998:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:14,118 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:14,122 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:14,124 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:14,153 GetDC()=0xffffffff9b015577
2020-11-18 12:02:14,157 CreateDIBSection(..) got bitmap=0xffffffffa10558dd, dataptr=c_void_p(439418880)
2020-11-18 12:02:14,159 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744072116066525
2020-11-18 12:02:14,160 CreateBitmap(16, 16, 1, 1, None)=0xffffffffcd053a0a
2020-11-18 12:02:14,161 CreateIconIndirect()=0x5981531
2020-11-18 12:02:14,162 do_set_icon(0x5981531)
2020-11-18 12:02:14,163 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203d2240> tooltip='Xpra', app_id=2998, actual flags=ICON, GUID
2020-11-18 12:02:14,166 ClientTray(2998:Xpra).reconfigure(False) geometry=None
2020-11-18 12:02:14,171 ClientTray(3165:Xpra).set_tray_icon(rgb32, 16, 16, 64, 1024 bytes)
2020-11-18 12:02:14,172 set_icon_from_data('1024 pixels', True, 16, 16, 64, {b'lz4': 1, b'rgb_format': 'RGBA', 'encoding': 'rgb32'})
2020-11-18 12:02:14,173 make_ICONINFO(16, 16, 1024 bytes, BGRA)
2020-11-18 12:02:14,174 rgb_to_bitmap(b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff\xf0\xf1\xf2\xff', 4, 16, 16)
2020-11-18 12:02:14,176 GetDC()=0xffffffff9b015577
2020-11-18 12:02:14,179 CreateDIBSection(..) got bitmap=0xffffffff8d053e77, dataptr=c_void_p(439418880)
2020-11-18 12:02:14,185 rgb_to_bitmap(1024 bytes, 4, 16, 16)=18446744071780515447
2020-11-18 12:02:14,187 CreateBitmap(16, 16, 1, 1, None)=0x35056010
2020-11-18 12:02:14,189 CreateIconIndirect()=0x3db15bf
2020-11-18 12:02:14,190 do_set_icon(0x3db15bf)
2020-11-18 12:02:14,191 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.getNOTIFYICONDATAClass.<locals>.NOTIFYICONDATA object at 0x00000000203d22c0> tooltip='Xpra', app_id=3165, actual flags=ICON, GUID
2020-11-18 12:02:14,194 ClientTray(3165:Xpra).reconfigure(False) geometry=None




comment:27 Changed 6 months ago by Antoine Martin

because they crashed and didn't clean up properly.

OK, I've seen those before, especially if you control-c the process rather than exiting cleanly via the menu.
But they go away as soon as you move the mouse over them.

comment:28 Changed 6 months ago by stdedos

I have done both of these actions. No luck.

Now I just saw xpra's icon flicker before disappearing.
All tray icons started transparently.

comment:29 Changed 6 months ago by stdedos

I think the problem happens *after* connecting.

I don't know if it's because there are different icons the XPRA icon mutates to (e.g. normal -> clip-action -> normal), or "something happens when there is interaction with the remote.

comment:30 Changed 5 months ago by stdedos

The tray icons work better in py2-3.0.12.
There are the white icons ("Xpra", probably partially destroyed on server), one black ("vmware-tray", should be destroyed too - I cannot see its process in ps), and the xpra one (which appears normal/works)

comment:31 Changed 5 months ago by Antoine Martin

Owner: changed from stdedos to Antoine Martin
Priority: minorcritical
Status: newassigned

Confirmed : I can reproduce, this seems to be clipboard related.

comment:32 Changed 5 months ago by Antoine Martin

Owner: changed from Antoine Martin to stdedos
Status: assignednew

Finally? fixed correctly in r28059: the fixes in r27984 and r28001 ended up wrongly destroying icons we load from file, although it probably fixed the leak originally reported, these icons should never be destroyed because we have a disk cache. (and it explains why they then looked blank / black / white)

(and I ended up backporting this bad fix to v4.0.5, damn)

Last edited 5 months ago by Antoine Martin (previous) (diff)

comment:33 Changed 5 months ago by stdedos

I'll try betas tomorrow (and move on from this py2-3.0.12 I have right now)

comment:34 Changed 5 months ago by stdedos

The good thing is: The xpra icon works again - even after clipboard operations (However, "clipboard tray icon" is only triggered from local copying to remote host; not from remote copying to local host - there is only one warning out of 3 attempts remotely).

The "neutral news" are: The black/white tray icons are still there. A new one was added (jetbrains-toolbox).

The bad news are: re-opening jetbrains-toolbox now gives a tray icon as a floating top-left icon (with a weird right-click menu)

Last edited 5 months ago by stdedos (previous) (diff)

Changed 5 months ago by stdedos

comment:35 Changed 5 months ago by stdedos

Resolution: fixed
Status: newclosed

I haven't seen again the issue from comment, and now, after updating to the RC

"Xpra-Python3-x86_64_4.1-r28100\xpra_cmd" attach ssh://user@ip/3 --ssh="plink -ssh -agent" --modal-windows=no --title="@title@ on @@/@server-display@" --headerbar=off --opengl=no --bandwidth-limit=6Mbps

XPRA_CUSTOM_TITLE_BAR=0
XPRA_EXECUTABLE=Xpra-Python3-x86_64_4.1-r28100
XPRA_REPAINT_ALL=1
XPRA_SCROLL_ENCODING=0

2020-12-16 12:14:46,056 Xpra GTK3 client version 4.1-r28100 64-bit
2020-12-16 12:14:46,060  running on Microsoft Windows 10
2020-12-16 12:14:47,321 GStreamer version 1.18.1 for Python 3.8.6 64-bit
2020-12-16 12:14:47,695 created named pipe 'Xpra\16316'
2020-12-16 12:14:48,070 keyboard layout code 0x409
2020-12-16 12:14:48,071 identified as 'United States - English' : us
2020-12-16 12:14:48,429  keyboard settings: layout=us
2020-12-16 12:14:48,434  desktop size is 4160x1440 with 1 screen:
2020-12-16 12:14:48,434   Default (1100x381 mm - DPI: 96x96) workarea: 4160x1400
2020-12-16 12:14:48,435     Generic PnP Monitor 1600x900 at 0x534 (309x174 mm - DPI: 132x131) workarea: 1600x860 at 0x534
2020-12-16 12:14:48,435     C32JG5x 2560x1440 at 1600x0 (697x392 mm - DPI: 93x93) workarea: 2560x1400 at 1600x0
2020-12-16 12:14:52,429 enabled remote logging
2020-12-16 12:14:52,432 Xpra GTK3 X11 server version 3.0.13-r28166 64-bit
2020-12-16 12:14:52,434  running on Linux Ubuntu 16.04 xenial
2020-12-16 12:14:52,457 Attached to ip:22
2020-12-16 12:14:52,463  (press Control-C to detach)

the pre-existing icons were garbage-collected. Woo-hoo!

Let's hope we don't see it again <3

Last edited 5 months ago by stdedos (previous) (diff)

comment:36 Changed 4 months ago by migration script

this ticket has been moved to: https://github.com/Xpra-org/xpra/issues/2738

Note: See TracTickets for help on using tickets.